### Constructor

# Gtk AccessibleHyperlink new

since: 4.22

#### Declaration [src]

    GtkAccessibleHyperlink*
    gtk_accessible_hyperlink_new (
      GtkAccessibleHypertext* parent,
      unsigned int index,
      const char* uri,
      GtkAccessibleTextRange* bounds
    )

#### Description [src]

Creates an accessible object that represents a hyperlink.

This is meant to be used with an implementation of the `GtkAccessibleHypertext` interface.

Available since: 4.22

#### Parameters

`parent`

  Type: `GtkAccessibleHypertext`

  The parent.

  The data is owned by the caller of the function.

`index`

  Type: `unsigned int`

  The index of this link in the parent.

`uri`

  Type: `const char*`

  The uri.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`bounds`

  Type: `GtkAccessibleTextRange`

  The text range that the link occupies (or 0, 0).

  The data is owned by the caller of the function.

#### Return value

Type: `GtkAccessibleHyperlink`

No description available.

The caller of the function takes ownership of the data, and is responsible for freeing it.